3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php function a() { return new Exception(); } function b() { $ex = a(); throw new Exception('message', 1337, $ex); } $ex = a(); echo (string)$ex; echo PHP_EOL . PHP_EOL . PHP_EOL; try { b(); } catch (Exception $ex) { echo (string)$ex; }
based on SBA4g
Output for 7.0.0 - 7.3.0beta1
Exception in /in/59F4S:4 Stack trace: #0 /in/59F4S(12): a() #1 {main} Exception in /in/59F4S:4 Stack trace: #0 /in/59F4S(8): a() #1 /in/59F4S(18): b() #2 {main} Next Exception: message in /in/59F4S:9 Stack trace: #0 /in/59F4S(18): b() #1 {main}
Output for 5.3.19 - 5.6.28
exception 'Exception' in /in/59F4S:4 Stack trace: #0 /in/59F4S(12): a() #1 {main} exception 'Exception' in /in/59F4S:4 Stack trace: #0 /in/59F4S(8): a() #1 /in/59F4S(18): b() #2 {main} Next exception 'Exception' with message 'message' in /in/59F4S:9 Stack trace: #0 /in/59F4S(18): b() #1 {main}